﻿@{
    ViewData["Title"] = "Kegiatan Unit";
}
<section class="section">
    <div class="section-header">
        <h1>Kegiatan Unit</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">Unit</a></div>
            <div class="breadcrumb-item active"><a href="#">Kegiatan Unit</a></div>
        </div>
    </div>

    <div class="section-body">
        <div class="card">
            <div class="card-header form-row">
                <h4 class="col-md-6">Tabel Kegiatan Unit</h4>
                <div class="col-md-6 text-right">
                    <button type="button" class="btn btn-success btn-flat" onclick="TambahData();"><i class="fa fa-plus"></i> Tambah Data</button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelUnitKegiatan" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>Nama Unit</th>
                                <th>Judul</th>
                                <th>Jenis</th>
                                <th>Status</th>
                                <th>Gambar</th>
                                <th>URL</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>Nama Unit</th>
                                <th>Judul</th>
                                <th>Jenis</th>
                                <th>Status</th>
                                <th>Gambar</th>
                                <th>URL</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="ModalUnitKegiatan">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header border-warning text-white" style="background:#ff773f;border-color:#ff773f;">
                <h4 class="modal-title">Kegiatan Unit</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" style="border-color:#ff773f;">
                <form id="FormUnitKegiatan" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <input type="hidden" name="IdUnitKegiatan" />
                    <input type="hidden" name="Url" />
                    <div class="form-group">
                        <label class="col-form-label" style="text-align:left;">Judul:</label>
                        <input type="text" class="form-control" name="Judul" placeholder="Ketikkan Judul..." />
                    </div>
                    <div class="form-group">
                        <label class="col-form-label" style="text-align:left;">Jenis Kegiatan:</label>
                        <select name="Jenis" class="form-control"></select>
                    </div>
                    <div class="form-group">
                        <label class="col-form-label" style="text-align:left;">Keterangan:</label>
                        <textarea name="Keterangan" class="form-control ckeditor" rows="3"></textarea>
                    </div>
                    <div class="form-group">
                        <label class="col-form-label" style="text-align:left;">File Gambar:</label>
                        <input type="file" class="form-control" name="FileImage" />
                        <img class="img-responsive" onerr style="max-height: 200px; object-fit: cover; object-position: center;" id="ThumbnailImageUK" />
                    </div>
                    <div class="form-group">
                        <div class="form-row">
                            <div class="col-sm-6"><button type="button" data-dismiss="modal" class="btn btn-outline-danger btn-block"><i class="fa fa-close"></i> Batalkan</button></div>
                            <div class="col-sm-6"><button type="button" id="BtnSaveUnitKegiatan" class="btn btn-outline-success btn-block"><i class="fa fa-save"></i> Simpan Data</button></div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalPreviewUnitKegiatan">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header border-warning text-white" style="background:#ff773f;border-color:#ff773f;">
                <h4 class="modal-title">Kegiatan Unit</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" style="border-color:#ff773f;">
                <h1 class="HeadingPreview">Keseruan MPLS TKIT AT TAUFIQ</h1>
                <img style="width:100%" onerror="this.style.display='none'" class="ImagePreview img-responsive" />
                <span class="BodyPreview"></span>
            </div>
        </div>
    </div>
</div>